//---------------------------------------------------------------------------

#ifndef ControlQueueH
#define ControlQueueH
//---------------------------------------------------------------------------

#include "singleton.h"
#include <System.hpp>

class Command;

class ControlQueue: public CSingleton<ControlQueue>
{
private:
	ControlQueue();
	friend CSingleton<ControlQueue>;
public:
	int GetCommand(Command& cmd);

	void Call(int accountId, AnsiString target);
	void Answer(int callId);
	void SendDigit(int callId, char key);
	void Hangup(int callId);
	void SetMsgLogging(bool enabled);
};

#define UA ControlQueue::Instance()

#endif
